Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge игнорирует package.provided?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Russian
View previous topic :: View next topic  
Author Message
dragon1020
n00b
n00b


Joined: 07 Jul 2006
Posts: 58
Location: Moscow, Russia

PostPosted: Fri Sep 08, 2006 8:37 am    Post subject: emerge игнорирует package.provided? Reply with quote

Собственно сабж.
Code:
# cat /etc/portage/profile/package.provided
sys-kernel/gentoo-sources-2.6.17
# emerge -s gentoo-sources
Searching...   
[ Results for search key : gentoo-sources ]
[ Applications found : 1 ]
 
*  sys-kernel/gentoo-sources
      Latest version available: 2.6.17-r7
      Latest version installed: 2.6.13-r5
      Size of files: 40,538 kB
      Homepage:      http://dev.gentoo.org/~dsd/genpatches
      Description:   Full sources including the gentoo patchset for the 2.6 kernel tree
      License:       GPL-2

Я что-то делаю не так, или я что-то пропустил?
Судя по свежему хэндбуку я все правильно делаю. :-/
Back to top
View user's profile Send private message
Laitr Keiows
Moderator
Moderator


Joined: 04 Jul 2005
Posts: 891
Location: Kobe, Japan

PostPosted: Fri Sep 08, 2006 9:05 am    Post subject: Reply with quote

Вроде бы версию надо точно указывать, с точностью до r7
или писать >= ...
Back to top
View user's profile Send private message
dragon1020
n00b
n00b


Joined: 07 Jul 2006
Posts: 58
Location: Moscow, Russia

PostPosted: Fri Sep 08, 2006 9:19 am    Post subject: Reply with quote

Не выходит. Пытался подсунуть -r7 (хотя "gentoo-sources-2.6.17" это тоже точное указание версии), пытался шаманить с "=" ">=" - не вышло.
Причем ">=" и т.п. использоваться там не может по определению. :) Как, иначе, это будет выглядеть? "У нас в системе установлена тулза версии X или более поздней"? :)
Back to top
View user's profile Send private message
dragon1020
n00b
n00b


Joined: 07 Jul 2006
Posts: 58
Location: Moscow, Russia

PostPosted: Mon Sep 11, 2006 10:05 am    Post subject: Reply with quote

Господа, кому не лень, проверьте, плз, это на своих системах. У кого работает/не работает? Если не только у меня не работает, то может это баг, о котором следует знать разработчикам? :)
Back to top
View user's profile Send private message
fank
l33t
l33t


Joined: 16 Oct 2004
Posts: 794
Location: Minsk, Belarus

PostPosted: Wed Sep 13, 2006 1:53 am    Post subject: Reply with quote

а ты уверен, что синтаксис такой должен быть?
вот мне, например, кажется, что должно быть нечто такое в этом же файле:
Code:
cat /etc/make.profile/virtuals
.....
virtual/fam                                                             app-admin/gamin
Back to top
View user's profile Send private message
viy
Veteran
Veteran


Joined: 03 Jul 2004
Posts: 1580
Location: Riga, Latvia

PostPosted: Wed Sep 13, 2006 6:40 am    Post subject: Reply with quote

man portage wrote:
Code:
package.provided
A  list  of packages (one per line) that portage should assume have been provided.  Useful for porting to non-Linux systems.  Portage will not attempt
to update a package that is listed here unless another package explicitly requires a version that is newer than what has been listed.  Basically, it's
a list that replaces the emerge --inject syntax.

For  example, if you manage your own copy of a 2.6 kernel, then you can tell portage that 'sys-kernel/development-sources-2.6.7' is already taken care
of and it should get off your back about it.

Format:
- comments begin with #
- one DEPEND atom per line
- relational operators are not allowed
- must include a version

Example:
# you take care of the kernel
sys-kernel/development-sources-2.6.7

# you installed your own special copy of QT
x11-libs/qt-3.3.0

# you have modular X but packages want monolithic
x11-base/xorg-x11-6.8


И перестаем сорить в эфире на тему "так --- не так".
Back to top
View user's profile Send private message
ba
l33t
l33t


Joined: 25 May 2003
Posts: 804

PostPosted: Wed Sep 13, 2006 7:33 am    Post subject: Reply with quote

у меня файл работает (в том смысле что portage считает что то что в нем установлено когда оно требуется по зависимостям), но emerge -s говорит что пакет не установлен, что для меня вполне логично...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Russian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum